@use '../../global/utilities' as *;

:host {
	display: block;

	.digi-docs-about-design-pattern-spacing {

		&__token-format {
			max-width: fit-content;
		}
	}

	.spacing-box {
		display: inline-block;
		width: var(--SPACING-BOX--SIZE);
		height: var(--SPACING-BOX--SIZE);
		background: #e0edf5;
		border-top: solid var(--digi--border-width--primary) var(--digi--color--border--informative);
		border-bottom: solid var(--digi--border-width--primary) var(--digi--color--border--informative);
		overflow: hidden;
		margin-right: var(--digi--margin--medium);

		&::before {
			content: '';
			display: inline-block;
		}

		&-wrapper {
			display: flex;
			align-items: center;
		}
	}

	.banner_container {
		display: flex;
		align-items: center;
		justify-content: flex-start;
		flex-direction: row;

		&-image {
			display: flex;
			flex-direction: row;
		}

	}

	.media-object__heading {
		margin-top: 0;
	}

	table caption {
		@include digi--a11y--sr-only;
	}
}